are the OBS repos for darktable dead?

I am a bit astonished - it seems like the OBS repos are not providing updates anymore.

  • is this the case?
  • do I have to get rid of the repo before adding the ppa ubuntuhandbook1?

all information and/or help will be appreciated

given we just updated all repositories 3 days ago … i would be curious to hear which repository is not updated.

3 Likes

OK, so first of all: the repos are still updated if you say so.

I’m on 3.1.0~git781.1cc2c5176 and that has an annoying bug but it seems there hasn’t been an update three days ago.

which distro?

ubuntu 18.04 (sorry, I forgot to add)

http://download.opensuse.org/repositories/graphics:/darktable:/master/xUbuntu_18.04/amd64/

has git811…

hmm …

: Während der Überprüfung der Signatur trat ein Fehler auf. Das Depot wurde nicht aktualisiert und die vorherigen Indexdateien werden verwendet. GPG-Fehler: http://download.opensuse.org/repositories/graphics:/darktable/xUbuntu_18.04 InRelease: Die folgenden Signaturen waren ungültig: EXPKEYSIG 040524A84C70D8B5 graphics:darktable OBS Project graphics:darktable@build.opensuse.org
W: Während der Überprüfung der Signatur trat ein Fehler auf. Das Depot wurde nicht aktualisiert und die vorherigen Indexdateien werden verwendet. GPG-Fehler: http://download.opensuse.org/repositories/graphics:/darktable:/master/xUbuntu_18.04 InRelease: Die folgenden Signaturen waren ungültig: EXPKEYSIG 040524A84C70D8B5 graphics:darktable OBS Project graphics:darktable@build.opensuse.org
W: Fehlschlag beim Holen von http://download.opensuse.org/repositories/graphics:/darktable/xUbuntu_18.04/InRelease Die folgenden Signaturen waren ungĂĽltig: EXPKEYSIG 040524A84C70D8B5 graphics:darktable OBS Project graphics:darktable@build.opensuse.org
W: Fehlschlag beim Holen von http://download.opensuse.org/repositories/graphics:/darktable:/master/xUbuntu_18.04/InRelease Die folgenden Signaturen waren ungĂĽltig: EXPKEYSIG 040524A84C70D8B5 graphics:darktable OBS Project graphics:darktable@build.opensuse.org
W: Einige Indexdateien konnten nicht heruntergeladen werden. Sie wurden ignoriert oder alte an ihrer Stelle benutzt.

reimporting the release key from the parent directory should fix that.

I’m afraid I might need a more explicit explanation than this…

wget -nv https://download.opensuse.org/repositories/graphics:darktable:master/xUbuntu_19.10/Release.key -O Release.key
sudo apt-key add - < Release.key

as described here Install package graphics:darktable:master / darktable

2 Likes

vielen Dank. Das hat geklappt. Der Bug ist zwar immer noch da, aber die Version hat sich geändert.

wie kommt es zu solchen Problemen, die updates dann unmöglich machen?

we just missed that the key was about to expire. if we had updated before that, apt would have updated it by itself.

3 Likes

OK. Thanks a lot ;o)

Thanks @darix for all your hard work

1 Like

Hi @darix I get the same error message again:

W: Während der Überprüfung der Signatur trat ein Fehler auf. Das Depot wurde nicht aktualisiert und die vorherigen Indexdateien werden verwendet. GPG-Fehler: http://download.opensuse.org/repositories/graphics:/darktable:/master/xUbuntu_20.04  InRelease: Die folgenden Signaturen waren ungültig: EXPKEYSIG 040524A84C70D8B5 graphics:darktable OBS Project <graphics:darktable@build.opensuse.org>
W: Fehlschlag beim Holen von http://download.opensuse.org/repositories/graphics:/darktable:/master/xUbuntu_20.04/InRelease Die folgenden Signaturen waren ungĂĽltig: EXPKEYSIG 040524A84C70D8B5 graphics:darktable OBS Project <graphics:darktable@build.opensuse.org>
W: Einige Indexdateien konnten nicht heruntergeladen werden. Sie wurden ignoriert oder alte an ihrer Stelle benutzt.

i got an email from the webmaster (i think?) that 20.04 has been removed. not sure about the policy in OBS, maybe that distro is considered obsolete?

That would be a pity, because the switch from one to the other long-term support version is not recommended for security and stability reasons immediately after the release of the new one. Usually it takes a few months before the upgrade recommendation appears in the upgrade manager.

Also, the 20.04 version is still offered on the OBS repository:

https://software.opensuse.org/download.html?project=graphics:darktable:master&package=darktable

Thanks for your answer @hanatos

forwarded this to @asn who is the maintainer

1 Like

I had this error the other day.

I solved it by using Synaptic to delete the authorisation key then deleting the OBS repository in the “other software” tab then reapplying these via the commands below.

image

Edit : the commands are from Install package graphics:darktable:master / darktable

That worked. Thanks for the hint! :+1:

1 Like